# alch\_network\_options\_id() . '\_args'

Dynamic filter `alch_network_options_id() . '_args'` is similar to [`alch_options_id() . '_args'`](https://docs.alchemy-options.com/v0.9/filters/alch_options_id_args). It can be used to filter the main network configuration settings before saving them in the database.

## Example

```php
//somewhere in functions.php

function change_alchemy_options_network_arguments( $networkArgs ) {
    // do something useful with the `$networkArgs`, it will contain all of the info about `tabs` and `options` that will be used to create the Alchemy Network Options page

    // do not forget to pass them further
    return $networkArgs;
}

add_filter( alch_network_options_id() . '_args', 'change_alchemy_options_network_arguments' );
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alchemy-options.com/v0.9/filters/alch_network_options_id_args.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
